﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm2.aspx.cs" Inherits="WebApplication1.WebForm2" %>





<%@ Register Assembly="Syncfusion.EJ.Web, Version=14.2400.0.32, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

    <%@ Register Assembly="Syncfusion.EJ, Version=14.2400.0.32, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>




<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>


         <script src="Scripts/jquery-2.1.4.js"></script>


   
    <link href="Content/ejthemes/flat-lime/ej.theme.min.css" rel="stylesheet" />

    <link href="Content/ejthemes/ej.widgets.core.min.css" rel="stylesheet" />


    <script src="Scripts/jquery.easing-1.3.min.js"></script>

    <script src="Scripts/jquery.globalize.min.js"></script>

    <script src="Scripts/jsondata.js"></script>

    <script src="Scripts/jsrender.min.js"></script>

    <script src="Scripts/ej.web.all.min.js"></script>

    
    <script src="Scripts/ej.webform.js"></script>   


</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <asp:HiddenField runat="server" ID="autoComp" ClientIDMode="Static" />
         <div>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <ej:Autocomplete ID="ShipCountry" runat="server" DataTextField="Text" DataUniqueKeyField="ID" />
                <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True" OnServerEditRow="EditEvents_ServerEditRow" OnServerAddRow="EditEvents_ServerAddRow"
                    OnServerDeleteRow="EditEvents_ServerDeleteRow">
                    <ClientSideEvents ActionComplete="complete" EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" />
                    <Columns>
                        <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />
                                <ej:KeyValue Key="number" Value="true" />
                            </ValidationRule>
                        </ej:Column>
                                       
                        <ej:Column Field="ShipName" HeaderText="ShipName" Width="110"></ej:Column>
                        <ej:Column Field="ShipCountry" HeaderText="ShipCountry" Width="90" />
                    </Columns>
                    <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" DialogEditorTemplateID="#template" EditMode="DialogTemplate"></EditSettings>
                    <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
                </ej:Grid>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>

         <script type="text/template" id="template">
        <b>Order Details</b>
        <table cellspacing="10">
            <tr>
                <td style="text-align: right;">Order ID
                </td>
                <td style="text-align: left">
                    <input id="OrderID" name="OrderID" value="{{: OrderID}}" disabled="disabled"
                        class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                </td>
              
            </tr>
        
            <tr>
                <td style="text-align: right;">ShipName
                </td>
                <td style="text-align: left">
                    <input id="ShipName" name="ShipName" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" value="{{:ShipName}}" />
                </td>
            </tr>

                 <tr>
             
                <td style="text-align: right;">ShipCountry
                </td>
                <td style="text-align: left">
                  <input id="ShipCountry1" name="ShipCountry" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" value="{{:ShipCountry}}" />
                   </td>
            </tr>

        </table>
    </script>

      <script type="text/javascript">
            
            function endAdd(args) {
                $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("show");
        }
        function endDelete(args) {
            $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("show");
        }
        function endEdit(args) {
            $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("show");

        }


        function complete(args) {
            if (args.requestType == "refresh" || args.requestType == "save") {
                $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("hide");
            }
           
            if ((args.requestType == "beginedit" || args.requestType == "add") && args.model.editSettings.editMode == "dialogtemplate") {
                $("#Freight").ejNumericTextbox({ value: parseFloat($("#Freight").val()), width: "116px", height: "28px", decimalPlaces: 2 });
                data1 = [
              { ID: "100001", text: "Germany" }, { ID: "20002", text: "Australia" }, { ID: "300003", text: "Bangladesh" },
                ];
                var obj = $(".e-grid").ejGrid("instance");
            
                $("#ShipCountry1").ejAutocomplete({
                    width: "100%", dataSource: data1,

                    select: function (argument) {
                        $("#autoComp").val(JSON.stringify(argument.item));
                    },

                    enableDistinct: true
                });
                
            }
       }
    </script>





    </div>
    </form>
</body>
</html>
